tigase.jaxmpp.core.client.xmpp.modules.streammng

## Class StreamManagementModule.UnacknowledgedHandler.UnacknowledgedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<StreamManagementModule.UnacknowledgedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.UnacknowledgedHandler.UnacknowledgedEvent

- Enclosing interface:
    StreamManagementModule.UnacknowledgedHandler

      public static class StreamManagementModule.UnacknowledgedHandler.UnacknowledgedEvent
      extends JaxmppEvent<StreamManagementModule.UnacknowledgedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnacknowledgedEvent(SessionObject sessionObject, List<Element> elements)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(StreamManagementModule.UnacknowledgedHandler handler)` Invokes handlers method.
    `List<Element>` | `getElements()`
    `void` | `setElements(List<Element> elements)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnacknowledgedEvent

          public UnacknowledgedEvent(SessionObject sessionObject,
                                     List<Element> elements)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(StreamManagementModule.UnacknowledgedHandler handler)
                           throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<StreamManagementModule.UnacknowledgedHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getElements

          public List<Element> getElements()

    - #### setElements

          public void setElements(List<Element> elements)

Copyright © 2006–2016 Tigase. All rights reserved.